- forces to use --without-mp4v2 configure switch when mp4 library isn't
[packages/faac.git] / faac-force_to_use_without-mp4v2.patch
CommitLineData
b7095081 1--- faac.bef/configure.in 2004-04-24 20:05:03.000000000 +0200
2+++ faac.work/configure.in 2004-04-24 20:48:53.000000000 +0200
3@@ -21,12 +21,23 @@
4 AC_CHECK_DECL(strcasecmp, MY_DEFINE(HAVE_STRCASECMP))
5
6 AC_CHECK_LIB(gnugetopt, getopt_long)
7-AC_CHECK_LIB(mp4v2, MP4MetadataDelete,
8- [AC_MSG_NOTICE([*** Building with MP4 support ***])
9- MY_DEFINE([HAVE_LIBMP4V2])
10- MP4LIBS="-lmp4v2"],
11- [AC_MSG_NOTICE([*** Building without MP4 support ***])],
12- -lstdc++)
13+
14+AC_ARG_WITH([mp4v2], [ --with-mp4v2 Build with MP4 support (default is yes.)],
15+ [ case "$withval" in
16+ yes|no) mp4v2="$withval" ;;
17+ *) AC_MSG_ERROR([--with-mp4v2 does not take an argument]) ;;
18+ esac],
19+ [mp4v2=yes])
20+
21+if test "$mp4v2" = yes ; then
22+ AC_CHECK_LIB(mp4v2, MP4MetadataDelete,
23+ [AC_MSG_NOTICE([*** Building with MP4 support ***])
24+ MY_DEFINE([HAVE_LIBMP4V2])
25+ MP4LIBS="-lmp4v2"],
26+ [AC_MSG_ERROR([*** Error - MP4v2 library not found - please, install MP4 library ***\n*** or use ./configure --without-mp4v2 ***])],
27+ -lstdc++)
28+fi
29+
30 AC_SUBST(MP4LIBS)
31 AC_C_BIGENDIAN
32
This page took 0.121434 seconds and 4 git commands to generate.